Bug 948089 - xorg-x11-drv-armsoc fails to build
xorg-x11-drv-armsoc fails to build
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-armsoc (Show other bugs)
19
arm Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-04-03 19:55 EDT by D. Marlin
Modified: 2013-04-05 09:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-05 09:06:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to remove MIB backing store leftovers. (1.44 KB, patch)
2013-04-04 14:53 EDT, D. Marlin
no flags Details | Diff
Spec file changes to apply the patch (634 bytes, patch)
2013-04-04 14:54 EDT, D. Marlin
no flags Details | Diff

  None (edit)
Description D. Marlin 2013-04-03 19:55:13 EDT
Description of problem:

xorg-x11-drv-armsoc fails to build from source in F19.

Version-Release number of selected component (if applicable):

  xorg-x11-drv-armsoc-0.5.1-8.fc19


How reproducible:

  always

Steps to Reproduce:
1.  rpm -ivh xorg-x11-drv-armsoc-0.5.1-8.fc19.src.rpm
2.  rpmbuild -bb SPECS/xorg-x11-drv-armsoc.spec 
3.
  
Actual results:

  fails to build:

drmmode_display.c:56:22: fatal error: mibstore.h: No such file or directory
 #include "mibstore.h"


Expected results:

  successfully builds.


Additional info:

It appears to be missing a header file from the source.  I'm not sure if anything else is missing.
Comment 1 D. Marlin 2013-04-04 13:52:44 EDT
related info:

It appears that this file was intentionally removed, but the driver needs to be updated to not call miInitializeBackingStore:

  http://patchwork.freedesktop.org/patch/11940/
Comment 2 D. Marlin 2013-04-04 14:53:33 EDT
Created attachment 731692 [details]
patch to remove MIB backing store leftovers.
Comment 3 D. Marlin 2013-04-04 14:54:28 EDT
Created attachment 731693 [details]
Spec file changes to apply the patch
Comment 4 D. Marlin 2013-04-04 14:55:18 EDT
Adding a naive (trivial) patch to remove references to mibstore.h and miInitializeBackingStore allows this package to build.  I have not tested that it works.

The spec file and source patch are attached.

Note You need to log in before you can comment on or make changes to this bug.